Obtener una prueba
curl --request GET \
--url https://api.stage.localpayment.com/api/entity/v1/proofs/{proofId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.stage.localpayment.com/api/entity/v1/proofs/{proofId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.stage.localpayment.com/api/entity/v1/proofs/{proofId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stage.localpayment.com/api/entity/v1/proofs/{proofId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.stage.localpayment.com/api/entity/v1/proofs/{proofId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.stage.localpayment.com/api/entity/v1/proofs/{proofId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.stage.localpayment.com/api/entity/v1/proofs/{proofId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "2c4c2f74-7179-4113-83fb-f11dbce9e07d",
"documentId": "2e16d844-4fa9-4295-9a21-83ec32ef241a",
"proofType": "FRONT",
"fileName": "id_front.jpg",
"mimeType": "image/jpeg",
"sizeBytes": 102400,
"verificationStatus": "PENDING",
"verifiedBy": null,
"verifiedAt": null,
"verificationReason": null,
"uploadedBy": "12345",
"uploadedAt": "2024-01-15T17:03:13Z",
"status": "CURRENT",
"supersededAt": null,
"supersededBy": null,
"replacedByProofId": null,
"deletedAt": null,
"deletedBy": null,
"inVerification": true,
"downloadUrl": "https://files.example.com/<object-path>?expires=600&signature=<redacted>"
}{
"type": "about:blank",
"title": "Validation error",
"status": 400,
"detail": "A field, header, path or query parameter is missing, unknown or invalid. details[] lists field and issue.",
"instance": "/api/entity/v1/proofs/2c4c2f74-7179-4113-83fb-f11dbce9e07d",
"code": "VALIDATION_ERROR",
"correlationId": "0e8f6a2c-5b3d-4c1e-9a7f-6d5e4c3b2a10",
"details": [
{
"field": "externalId",
"issue": "REQUIRED"
}
]
}{
"type": "about:blank",
"title": "Unauthorized",
"status": 401,
"detail": "Missing or invalid access token.",
"instance": "/api/entity/v1/proofs/2c4c2f74-7179-4113-83fb-f11dbce9e07d",
"code": "UNAUTHORIZED",
"correlationId": "0e8f6a2c-5b3d-4c1e-9a7f-6d5e4c3b2a10",
"details": []
}{
"type": "about:blank",
"title": "Not found",
"status": 404,
"detail": "The proof does not exist or belongs to another merchant.",
"instance": "/api/entity/v1/proofs/2c4c2f74-7179-4113-83fb-f11dbce9e07d",
"code": "PROOF_NOT_FOUND",
"correlationId": "0e8f6a2c-5b3d-4c1e-9a7f-6d5e4c3b2a10",
"details": []
}Comprobantes
Obtén una prueba
GET
/
api
/
entity
/
v1
/
proofs
/
{proofId}
Obtener una prueba
curl --request GET \
--url https://api.stage.localpayment.com/api/entity/v1/proofs/{proofId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.stage.localpayment.com/api/entity/v1/proofs/{proofId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.stage.localpayment.com/api/entity/v1/proofs/{proofId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stage.localpayment.com/api/entity/v1/proofs/{proofId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.stage.localpayment.com/api/entity/v1/proofs/{proofId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.stage.localpayment.com/api/entity/v1/proofs/{proofId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.stage.localpayment.com/api/entity/v1/proofs/{proofId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "2c4c2f74-7179-4113-83fb-f11dbce9e07d",
"documentId": "2e16d844-4fa9-4295-9a21-83ec32ef241a",
"proofType": "FRONT",
"fileName": "id_front.jpg",
"mimeType": "image/jpeg",
"sizeBytes": 102400,
"verificationStatus": "PENDING",
"verifiedBy": null,
"verifiedAt": null,
"verificationReason": null,
"uploadedBy": "12345",
"uploadedAt": "2024-01-15T17:03:13Z",
"status": "CURRENT",
"supersededAt": null,
"supersededBy": null,
"replacedByProofId": null,
"deletedAt": null,
"deletedBy": null,
"inVerification": true,
"downloadUrl": "https://files.example.com/<object-path>?expires=600&signature=<redacted>"
}{
"type": "about:blank",
"title": "Validation error",
"status": 400,
"detail": "A field, header, path or query parameter is missing, unknown or invalid. details[] lists field and issue.",
"instance": "/api/entity/v1/proofs/2c4c2f74-7179-4113-83fb-f11dbce9e07d",
"code": "VALIDATION_ERROR",
"correlationId": "0e8f6a2c-5b3d-4c1e-9a7f-6d5e4c3b2a10",
"details": [
{
"field": "externalId",
"issue": "REQUIRED"
}
]
}{
"type": "about:blank",
"title": "Unauthorized",
"status": 401,
"detail": "Missing or invalid access token.",
"instance": "/api/entity/v1/proofs/2c4c2f74-7179-4113-83fb-f11dbce9e07d",
"code": "UNAUTHORIZED",
"correlationId": "0e8f6a2c-5b3d-4c1e-9a7f-6d5e4c3b2a10",
"details": []
}{
"type": "about:blank",
"title": "Not found",
"status": 404,
"detail": "The proof does not exist or belongs to another merchant.",
"instance": "/api/entity/v1/proofs/2c4c2f74-7179-4113-83fb-f11dbce9e07d",
"code": "PROOF_NOT_FOUND",
"correlationId": "0e8f6a2c-5b3d-4c1e-9a7f-6d5e4c3b2a10",
"details": []
}Devuelve los metadatos de una prueba y un downloadUrl firmado de corta duración para obtener el archivo.
- El host, la caducidad y la firma de downloadUrl están abreviados en el ejemplo.
- El acceso a los archivos se audita con el usuario de tu token de acceso.
- Si la URL caduca, vuelva a llamar a este endpoint para obtener una nueva.
application/problem+json con un code estable. Catálogo completo: Estados de entidad y códigos de error.Autorizaciones
Encabezados
Token de acceso Bearer para la autenticación. Este token se obtiene de los endpoints Get Access Token o Refresh Access Token. Tu cuenta de comerciante y el usuario que actúa se determinan a partir de él.
Ejemplo:
"Bearer <your_access_token>"
Parámetros de ruta
Respuesta
OK.
Última modificación el 10 de noviembre de 2026

